Preparase para Ubuntu Noble

 

La siguiente información te ayudará a preparar tu sitio para la actualización de Ubuntu de la versión 20.04 LTS a la 24.04.2 LTS, conocida como Noble.

Qué esperar

DreamHost te contactará por correo antes de la actualización.

El tiempo de actualización puede variar de un servidor a otro, pero se asegura que haya varios ingenieros altamente capacitados disponibles en caso de que surjan problemas importantes. La actualización en sí no debería tardar más de una hora en completarse.

Durante la actualización de tu servidor MySQL, cualquier servicio que dependa de su disponibilidad, como sitios web basados en WordPress o cualquier otra aplicación que utilice bases de datos, no estará accesible hasta que la actualización se complete. Sin embargo, esto no afectará los servicios de nube o de correo.

Revisar la versión de Ubuntu

Como se menciona anteriormente, recibirás un correo notificándote sobre la actualización del servidor. Sin embargo, puedes revisarlo manualmente a través de SSH.

El siguiente comando confirma que el servidor aún está ejecutando una versión antigua de Ubuntu:

[server]$ cat /etc/issue
Ubuntu 20.04.2 LTS \n \l

Y esto muestra un servidor corriendo Ubuntu 24.04:

[server]$ cat /etc/issue
Ubuntu 24.04.1 LTS \n \l

MySQL

Ubuntu Noble dejará de ofrecer soporte para la versión 2 de SQLite. Necesitarás actualizar cualquier referencia de SQLite versión 2 a SQLite versión 3.

ssh-rsa

El cifrado de clave SSH ssh-rsa ya no está permitido. Necesitarás regenerar tu clave SSH si estás usando ssh-rsa. Por favor, revisa las siguientes guías para instrucciones sobre cómo crear nuevas llaves de emparejamiento:

Cambios en la versión del servidor web

curl

La versión de curl está cambiando de la 7.68.0 a la 8.5.0.

FFmpeg

La versión de FFmpeg está cambiando de la 4.2.7 a la 6.1.1.

GCC

La versión de GCC está cambiando de la 9.4 a la 13.2.

Java

Ubuntu Noble incluye una nueva versión de Java, la versión 8u402.

Node / NVM

Al instalar una versión personalizada de Node.js/NVM, la instalación puede ser bloqueada por grsec. Debes ejecutar un comando para cambiar los pax flags de manera que grsec ignore los archivos. Revisa el siguiente artículo para obtener instrucciones completas:

OpenSSL

La versión de OpenSSL está cambiando de la 1.1.1f a la 3.0.13.

Perl

La versión de Perl está cambiando de la 5.30.0 a la 5.38.2.

Python

Las siguientes versiones de Python están cambiando:

  • Python 2 (EOLd)
  • Python 3 (de 3.8.10 a 3.12.3)

virtualenv de Python

Si tu sitio web utiliza un entorno virtual de Python y notas errores después de la actualización, reinstala tu entorno virtual y todos los módulos. Esto ayuda a asegurar que todo sea compatible con las nuevas bibliotecas en el servidor.

Ruby

La versión de Ruby en el servidor es 3.2. Si deseas tener más control sobre esto (por ejemplo, deseas utilizar una versión anterior o más nueva de Ruby), DreamHost recomienda encarecidamente usar RVM.

Si estás usando Bundler, solo necesitas correr:

[server]$ bundle exec gem pristine

SSH

La versión de SSH está cambiando de la 8.2p1 a la 9.6p1.

¿Cómo puedo encontrar soporte?

Si tienes cualquier pregunta o inquietud, por favor contacta a soporte.

Ver también

¿Este artículo ha respondido sus preguntas?

Última actualización el PST.

¿Aún no encuentra lo que busca?